Name: fluidsynth
Version: 2.3.7
Release: 46.1.rncbc.suse
Summary:	A real-time software synthesizer based on SoundFont 2 specifications.
URL:		http://www.fluidsynth.org/
Source:		%{name}-%{version}.tar.gz
Group:		Productivity/Multimedia/Sound/Midi
License:	LGPL-2.0+
Packager:	rncbc.org

%define sover 3

BuildRequires:	coreutils
BuildRequires:	pkgconfig
BuildRequires:	glibc-devel
BuildRequires:	gcc-c++
BuildRequires:	cmake
%if %{defined fedora}
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	libdb-devel
%else
BuildRequires:	libjack-devel
BuildRequires:	alsa-devel
BuildRequires:	db-devel
%endif
BuildRequires:	ladspa-devel
BuildRequires:	libsndfile-devel
BuildRequires:	glib2-devel
%if %{defined fedora}
BuildRequires:	pulseaudio-libs-devel
%else
BuildRequires:	libpulse-devel
%endif
#BuildRequires:	doxygen

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2 
specifications. It is a "software synthesizer". FluidSynth can read MIDI events
from the MIDI input device and render them to the audio device. It features 
real-time effect modulation usingNov SoundFont 2.01 modulators, and a built-in
command line shell. It can also play MIDI files.

Note: FluidSynth was previously called IIWU Synth.


%package -n lib%{name}%{sover}
Summary:	Shared library package for FluidSynth
Group:		System/Libraries
Provides:	%{name}-libs = %{version}-%{release}
Obsoletes:	%{name}-libs < %{version}-%{release}


%description -n lib%{name}%{sover}
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. FluidSynth can read MIDI events from MIDI input
devices and render them to audio devices using SoundFont files to
define the instrument sounds. It can also play MIDI files and supports
real time effect control via SoundFont modulators and MIDI
controls. FluidSynth can be interfaced to other programs in different
ways, including linking as a shared library.

This package contains the run-time shared libraries for FluidSynth.


%package -n lib%{name}-devel
Summary:	Development package for the fluidsynth library
Group:		Development/Libraries/C and C++
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}
Requires:	lib%{name}%{sover} >= %{version}
Requires:	pkgconfig


%description -n lib%{name}-devel
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. FluidSynth can read MIDI events from MIDI input
devices and render them to audio devices using SoundFont files to
define the instrument sounds. It can also play MIDI files and supports
real time effect control via SoundFont modulators and MIDI
controls. FluidSynth can be interfaced to other programs in different
ways, including linking as a shared library.

This package contains libraries and includes for building applications
with FluidSynth support.


%prep
%setup -q

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} .
%__make
%__make doc

%install
%__make DESTDIR="%{buildroot}" install

%if 0%{?sle_version} == 150200 && 0%{?is_opensuse}
%post -n lib%{name}%{sover} -p /sbin/ldconfig
%postun -n lib%{name}%{sover} -p /sbin/ldconfig
%else
%ldconfig_scriptlets -n lib%{name}%{sover}
%endif


%files
%doc AUTHORS ChangeLog README.md LICENSE THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*

%files -n lib%{name}%{sover}
%{_libdir}/lib%{name}.so.%{sover}
%{_libdir}/lib%{name}.so.%{sover}.*

%files -n lib%{name}-devel
#doc doc/*.txt
#doc doc/api doc/html/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%dir %{_libdir}/cmake
%dir %{_libdir}/cmake/%{name}
%{_libdir}/cmake/%{name}/*


%changelog
* Sat Oct 26 2024 Rui Nuno Capela <rncbc@rncbc.org> 2.3.7
- New 2.3.7 release
* Mon Aug  5 2024 Rui Nuno Capela <rncbc@rncbc.org> 2.3.6
- New 2.3.6 release
* Sun Mar 31 2024 Rui Nuno Capela <rncbc@rncbc.org> 2.3.5
- New 2.3.5 release
* Mon Sep 25 2023 Rui Nuno Capela <rncbc@rncbc.org> 2.3.4
- New 2.3.4 release
* Fri Sep  1 2023 Rui Nuno Capela <rncbc@rncbc.org> 2.3.3
- New 2.3.3 release
* Sat Apr  8 2023 Rui Nuno Capela <rncbc@rncbc.org> 2.3.2
- New 2.3.2 release
* Sun Oct  2 2022 Rui Nuno Capela <rncbc@rncbc.org> 2.3.0
- New 2.3.0 release
* Sun Jul 17 2022 Rui Nuno Capela <rncbc@rncbc.org> 2.2.8
- New 2.2.8 release
* Mon Apr 25 2022 Rui Nuno Capela <rncbc@rncbc.org> 2.2.7
- New 2.2.7 release
* Sat Jan 29 2022 Rui Nuno Capela <rncbc@rncbc.org> 2.2.5
- New 2.2.5 release
* Sun Nov 21 2021 Rui Nuno Capela <rncbc@rncbc.org> 2.2.4
- New 2.2.4 release
* Sun Sep 12 2021 Rui Nuno Capela <rncbc@rncbc.org> 2.2.3
- New 2.2.3 release
* Sat Jul 17 2021 Rui Nuno Capela <rncbc@rncbc.org> 2.2.2
- New 2.2.2 release
* Sat May  8 2021 Rui Nuno Capela <rncbc@rncbc.org> 2.2.1
- New 2.2.1 release
* Sat Apr  3 2021 Rui Nuno Capela <rncbc@rncbc.org> 2.2.0
- New 2.2.0 release
* Tue Mar 16 2021 Rui Nuno Capela <rncbc@rncbc.org> 2.1.8
- New 2.1.8 release
* Sat Jan 30 2021 Rui Nuno Capela <rncbc@rncbc.org> 2.1.7
- New 2.1.7 release
* Mon Jan 18 2021 Rui Nuno Capela <rncbc@rncbc.org> 2.1.6
- New 2.1.6 release
* Sun Sep 27 2020 Rui Nuno Capela <rncbc@rncbc.org> 2.1.5
- New 2.1.5 release
* Sun Jul 19 2020 Rui Nuno Capela <rncbc@rncbc.org> 2.1.4
- New 2.1.4 release
* Mon Feb 17 2020 Rui Nuno Capela <rncbc@rncbc.org> 2.1.1
- New 2.1.0 release
* Sun Dec  1 2019 Rui Nuno Capela <rncbc@rncbc.org> 2.1.0
- New 2.1.0 release
* Sun Nov 24 2019 Rui Nuno Capela <rncbc@rncbc.org> 2.0.9
- Update to 2.0.9 release
* Mon Oct 28 2019 Rui Nuno Capela <rncbc@rncbc.org> 2.0.8
- Update to 2.0.8 release
* Sat Sep 28 2019 Rui Nuno Capela <rncbc@rncbc.org> 2.0.7
- Update to 2.0.7 release
* Mon Aug 19 2019 Rui Nuno Capela <rncbc@rncbc.org> 2.0.6
- Update to 2.0.6 release
* Fri Apr 19 2019 Rui Nuno Capela <rncbc@rncbc.org> 2.0.5
- Update to 2.0.5 release
* Sat Feb 23 2019 Rui Nuno Capela <rncbc@rncbc.org> 2.0.4
- Update to 2.0.4 release
* Thu Jan  3 2019 Rui Nuno Capela <rncbc@rncbc.org> 2.0.3
- Update to 2.0.3 release
* Sun Nov 18 2018 Rui Nuno Capela <rncbc@rncbc.org> 2.0.2
- Update to 2.0.2 release
* Sun Oct  7 2018 Rui Nuno Capela <rncbc@rncbc.org> 2.0.1
- Update to 2.0.1 release
* Sat Sep 15 2018 Rui Nuno Capela <rncbc@rncbc.org> 2.0.0
- Update to 2.0.0 release
* Sun May  6 2018 Rui Nuno Capela <rncbc@rncbc.org> 1.1.11
- Update to 1.1.11 release
* Sun Feb 25 2018 Rui Nuno Capela <rncbc@rncbc.org> 1.1.10
- Update to 1.1.10 release
* Thu Jan  4 2018 Rui Nuno Capela <rncbc@rncbc.org> 1.1.9
- Update to 1.1.9 release
* Sat Oct 14 2017 Rui Nuno Capela <rncbc@rncbc.org> 1.1.8
- Update to 1.1.8 release
* Tue Sep  5 2017 Rui Nuno Capela <rncbc@rncbc.org> 1.1.7
- Update to 1.1.7 release
* Sun Aug 19 2012 Rui Nuno Capela <rncbc@rncbc.org> 1.1.6
- Update to 1.1.6 release
* Mon Aug 25 2003 Josh Green <jgreen@users.sourceforge.net>
- Created initial fluidsynth.spec.in
